LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XAccessControlContext Interface Referencepublished

An XAccessControlContext is used to make system resource access decisions based on the context it encapsulates. More...

`import"XAccessControlContext.idl";`

Inheritance diagram for XAccessControlContext:

## Public Member Functions
void | checkPermission ([in] any perm) raises (AccessControlException)
| Determines whether the access request indicated by the specified permission should be allowed or denied, based on this context. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

An XAccessControlContext is used to make system resource access decisions based on the context it encapsulates.

More specifically, it encapsulates a context and has methods to check permissions equivalent to XAccessController interface, with one difference: The XAccessControlContext makes access decisions based on the context it encapsulates, rather than that of the current execution thread.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ checkPermission()

void checkPermission | ( | [in] any | perm | ) |
raises | ( | AccessControlException
| ) |  |

Determines whether the access request indicated by the specified permission should be allowed or denied, based on this context.

The semantics are equivalent to the security permission classes of the Java platform.

You can also pass a sequence of permissions (sequence< any >) to check a set of permissions, e.g. for performance reasons. This method quietly returns if the access request is permitted, or throws a suitable AccessControlException otherwise.

Parameters

  perm | permission to be checked

Exceptions

  AccessControlException | thrown if access is denied

See also
  com::sun::star::security::AccessControlException
  com::sun::star::security::AllPermission
  com::sun::star::security::RuntimePermission
  com::sun::star::io::FilePermission
  com::sun::star::connection::SocketPermission

The documentation for this interface was generated from the following file:

- com/sun/star/security/XAccessControlContext.idl